﻿@page "/"
@inherits WanderingRetinue.Client.Pages.IndexBase
@attribute [Authorize]

<MudContainer Class="mt-4 px-8" MaxWidth="MaxWidth.False">
    <MudGrid>
        @if (loadingData)
        {
            <MudItem xs="12" sm="6" md="4">
                <WanderingRetinue.Client.Shared.Components.LoadingIcon />
            </MudItem>    
        }
        else
        {
            @foreach (var set in Settlements)
            {
                <MudItem xs="12" sm="6" md="4">
                    <WanderingRetinue.Client.Pages.Settlement.Components.SettlementCard Model="@set" />
                </MudItem>
            }
        }
    </MudGrid>
</MudContainer>
